<?php
include "../../inc/inc.koneksi.php";
session_start();

$kode	=$_POST[kode];
$tanggal=$_POST[tanggal];
$jenis	=$_POST[jenis];
$jmlstok=$_POST[jmlstok];
$hjlama =$_POST[hjlama];
$hjbaru =$_POST[hjbaru];
$hblama =$_POST[hblama];
$hbbaru =$_POST[hbbaru];
$selisih=$_POST[selisih];
$user	=$_SESSION[namauser];

$sql	= mysql_query("SELECT * FROM interface");
$r 		= mysql_fetch_assoc($sql);
$persed = $r[persed];
$labapb = $r[laba_pb];
$labauh = $r[laba_uh];
$labarugi= $r[laba_rugi];
$prem   = $r[premium];
$solar  = $r[solar];
$ptmx   = $r[pertamax];
$ptmp   = $r[ptm_plus];
$ptlt   = $r[pertalite];
$dex    = $r[ptmn_dex];
$dexlite= $r[dexlite];
$solek  = $r[solar_eko];

if($jenis=='Premium')
	$kodest=$prem;
else if($jenis=='Bio Solar')
	$kodest=$solar;
else if($jenis=='Pertamax')
	$kodest=$ptmx;
else if($jenis=='Pertamax Turbo')
	$kodest=$ptmp;
else if($jenis=='Pertalite')
	$kodest=$ptlt;
else if($jenis=='Pertamina Dex')
	$kodest=$dex;
else if($jenis=='Dexlite')
	$kodest=$dexlite;
else if($jenis=='Solar Keekonomian')
	$kodest=$solek;
$bplabauh=$labauh.substr($kodest,2,4);

mysql_query("INSERT INTO ubah_hg (kode_uh,tanggal,jenis,jml_stok,hb_lama,hj_lama,hb_baru,hj_baru,selisih,user) VALUES('$kode','$tanggal','$jenis','$jmlstok','$hblama','$hjlama','$hbbaru','$hjbaru','$selisih','$user')");
// update stok
mysql_query("UPDATE stock SET hg_beli='$hbbaru',hb_akhir='$hbbaru',hg_jual='$hjbaru' WHERE kode_st='$kodest'");

// update akun persediaan
mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$selisih WHERE noakun='$persed'");
// buat buku besar persediaan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$persed','$nosubps','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");

// update akun laba perubahan harga bbm
mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$selisih WHERE noakun='$labauh");
mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$selisih WHERE noakun='$bplabauh");

// buat buku besar biaya penguapan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$labauh','$nosubuh','$bplabauh','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");

// update akun laba periode berjalan
mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$selisih WHERE noakun='$labapb");
// buat buku besar laba periode berjalan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$labapb','$nosublp','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");

// update akun laba rugi
mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$selisih WHERE noakun='$labarugi");
// buat buku besar laba periode berjalan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','UHB','$tanggal','$kode','$labarugi','$nosublr','$selisih','Perubahan harga $jenis stok $jml_stok liter','$user')");
?>
